package utils

import (
	"fmt"
	beego "github.com/beego/beego/v2/adapter"
	"rdluck_tools/cache"
)

var (
	RunMode           string //运行模式
	MYSQL_URL         string //数据库连接
	MYSQL_URL_RDDP    string //数据库连接
	MYSQL_URL_TACTICS string

	REDIS_CACHE string       //缓存地址
	Rc          *cache.Cache //redis缓存
	Re          error        //redis错误
)

//微信配置信息
var (
	WxId        string //微信原始ID
	WxAppId     string //查研观向小程序
	WxAppSecret string //查研观向小程序

	WxPublicAppId     string //查研观向小助手公众号
	WxPublicAppSecret string //查研观向小助手公众号


)



func init() {
	RunMode = beego.AppConfig.String("run_mode")
	config, err := beego.AppConfig.GetSection(RunMode)
	if err != nil {
		panic("配置文件读取错误 " + err.Error())
	}
	beego.Info(RunMode + " 模式")
	MYSQL_URL = config["mysql_url"]
	MYSQL_URL_RDDP = config["mysql_url_rddp"]
	MYSQL_URL_TACTICS = config["mysql_url_tactics"]

	REDIS_CACHE = config["beego_cache"]
	if len(REDIS_CACHE) <= 0 {
		panic("redis链接参数没有配置")
	}
	Rc, Re = cache.NewCache(REDIS_CACHE) //初始化缓存
	if Re != nil {
		fmt.Println(Re)
		panic(Re)
	}

	WxPublicAppId = "wxb7cb8a15abad5b8e"                   //查研观向小助手
	WxPublicAppSecret = "4dd35cd1598b27bd1dc9a3b299b289fa" //查研观向小助手

}

//http://webapi.brilliantstart.cn/api/
//http://webapi.brilliantstart.cn/swagger/
//http://139.196.122.219:8603/swagger/
